<div class="container">
    <header>
        <img class="logo" [src]="logo" alt="Logo">
        <h2 class="title">{{text}}</h2>
        <button mat-icon-button [matMenuTriggerFor]="menuTheme">
            <mat-icon>colorize</mat-icon>
        </button>
    </header>
</div>

<mat-menu #menuTheme="matMenu">
    <button mat-menu-item (click)="themeChange.emit(themeIdentifier.light)">
      <mat-icon [ngStyle]="{'opacity': theme !== themeIdentifier.light ? 0 : 1}">check</mat-icon>
      <span>Tema claro</span>
    </button>
    <button mat-menu-item (click)="themeChange.emit(themeIdentifier.dark)">
      <mat-icon [ngStyle]="{'opacity': theme !== themeIdentifier.dark ? 0 : 1}">check</mat-icon>
      <span>Tema escuro</span>
    </button>
  </mat-menu>
  